text-show-2.1.1: Efficient conversion of values into Text

Copyright | (C) 2014-2015 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | None
Language | Haskell2010

TextShow.GHC.TypeLits

Description

Monomorphic `TextShow` functions for data types in the `GHC.TypeLits` module. This module only exports functions if using `base-4.6.0.0` or later.

Since: 2

Synopsis

- showbSomeNatPrec :: Int -> SomeNat -> Builder
- showbSomeSymbol :: SomeSymbol -> Builder

# Documentation

showbSomeNatPrec :: Int -> SomeNat -> Builder Source

Convert a `SomeNat` value to a `Builder` with the given precedence. This function is only available with `base-4.7.0.0` or later.

Since: 2

showbSomeSymbol :: SomeSymbol -> Builder Source

Convert a `SomeSymbol` value to a `Builder` with the given precedence. This function is only available with `base-4.7.0.0` or later.

Since: 2